TASKSET(1)

NOM
taskset - Définir ou récupérer l'affinité processeur d'un processus

SYNOPSIS
taskset [options] masque commande [paramètre ...]
taskset [options] -p [masque] PID

DESCRIPTION

taskset est généralement utilisé pour récupérer ou définir l'affinité processeur d'un processus en cours d'exécution en donnant son PID ou de lancer une nouvelle commande avec une affinité processeur fournie. L'affinité processeur est une propriété de l'ordonnanceur qui « lie » un processus à un ensemble de processeurs donné sur un système. L'ordonnanceur de Linux respectera l'affinité processeur et le processus ne s'exécutera sur aucun autre processeur. Notez que l'ordonnanceur Linux gère également l'affinité processeur dite « naturelle » : l'ordonnanceur essaie de maintenir les processus sur le même processeur tant que cela a du sens pour des raisons de performances. Ainsi, forcer une affinité processeur spécifique n'est utile que dans certaines applications.

L'affinité du processeur est représentée par un masque binaire, avec le bit de poids le plus faible correspondant au premier processeur logique et le bit de poids le plus fort au dernier processeur logique. Tous les processeurs peuvent ne pas exister dans un système donné, mais un masque peut indiquer plus de processeurs que ceux qui sont présents. Un masque récupéré n'aura que les bits correspondants aux processeurs présents physiquement sur le système. Si un masque erroné est fourni (c'est-à-dire, un masque qui correspond à un processeur absent sur le système actuel) une erreur est alors renvoyée. Les masques sont généralement codés en hexadécimal. Par exemple :

    0x00000001
        correspond au processeur nº 0,

    0x00000003
        correspond aux processeurs nº 0 et nº 1,

    0xFFFFFFFF
        correspond à tous les processeurs (nº 0 à nº 31).

Lorsque taskset répond, il est garanti que le programme donné a été dirigé vers un processeur existant.

OPTIONS

-a, --all-tasks
    Définir ou récupérer l'affinité processeur de toutes les tâches (threads) d'un PID donné.

-c, --cpu-list nombres
    Indiquer une liste numérique de processeurs au lieu d'un masque binaire. Les nombres sont séparés par des virgules, et peuvent désigner des intervalles. Par exemple : 0,5,8-11.

-p, --pid
    Agir sur un PID existant et ne pas lancer de nouvelle tâche.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

UTILISATION

Le comportement par défaut est d'exécuter une nouvelle commande avec un masque d'affinité donné :
    taskset masque commande [paramètres]

Vous pouvez également récupérer l'affinité processeur d'une tâche existante :
    taskset -p PID

ou la modifier :
    taskset -p masque PID

PERMISSIONS
Un utilisateur peut modifier l’affinité processeur d’un processus lui appartenant. Un utilisateur doit posséder la capacité CAP_SYS_NICE pour modifier l'affinité processeur d'un processus appartenant à un autre utilisateur. Un utilisateur peut récupérer le masque d'affinité de n’importe quel processus.

VOIR AUSSI
chrt(1), nice(1), renice(1), sched_setaffinity(2), sched_getaffinity(2)

Consultez sched_setscheduler(2) pour une description de l'organisation de l'ordonnancement de Linux.

AUTEUR
Écrit par Robert M. Love.

COPYRIGHT
Copyright © 2004 Robert M. Love. C'est un logiciel libre ; consultez les sources pour les conditions de copie. Il n'y a AUCUNE garantie ; même pas de VALEUR MARCHANDE ou d'ADÉQUATION À UNE UTILISATION PARTICULIÈRE.

DISPONIBILITÉ
La commande taskset fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite par Alexandre Kuoch <alex DOT kuoch AT gmail DOT com> et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.